Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::ShapeDist Struct Reference

`#include <mastertrainer.h>`

List of all members.

## Public Member Functions

| ShapeDist ()
| ShapeDist (int s1, int s2, float dist)
bool | operator< (const ShapeDist &other) const

## Public Attributes

int | shape1
int | shape2
float | distance

## Detailed Description

Definition at line 49 of file mastertrainer.h.

## Constructor & Destructor Documentation

tesseract::ShapeDist::ShapeDist | ( |  | ) |

inline

Definition at line 50 of file mastertrainer.h.

: shape1(0), shape2(0), distance(0.0f) {}

tesseract::ShapeDist::ShapeDist | ( | int | s1,
|  | int | s2,
|  | float | dist
| ) |  |

inline

Definition at line 51 of file mastertrainer.h.

: shape1(s1), shape2(s2), distance(dist) {}

## Member Function Documentation

bool tesseract::ShapeDist::operator< | ( | const ShapeDist & | other | ) | const

inline

Definition at line 55 of file mastertrainer.h.

{
return distance < other.distance;
}

## Member Data Documentation

float tesseract::ShapeDist::distance

Definition at line 61 of file mastertrainer.h.

int tesseract::ShapeDist::shape1

Definition at line 59 of file mastertrainer.h.

int tesseract::ShapeDist::shape2

Definition at line 60 of file mastertrainer.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/mastertrainer.h